Subject: Re: [PATCH] [RFC v2] Drop all 00-INDEX files from Documentation/

From: Jonathan Corbet <[email-masked]>
Date: Thu, 6 Sep 2018 09:58:04 -0600

On Tue, 4 Sep 2018 09:59:08 -0400
Steven Rostedt <[email-masked]> wrote:

> On Tue, 4 Sep 2018 13:30:30 +0200
> Pavel Machek <[email-masked]> wrote:
> 
> > I'd say this is still quite valueable, and it might be worth fixing,
> > rather then removing completely.  
> 
> I agree. Perhaps we should have a 00-DESCRIPTION file in each
> directory, and each file could start with a:
> 
>  DESCRIPTION: <one line description here>
> 
> and then these files could be generated by those that have these tags.

I really don't want to hack up yet another documentation syntax and
processing scheme.  We already have one that does all of this and more.
That energy would be far better spent bringing the docs into the RST
hierarchy, IMO.

Thanks,

jon  (who is increasingly inclined to apply this patch)